<?
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = 'index.php';
		</script>
		<? 
		exit();
		}
$id_empresa =$_SESSION['ss_empresa'];
$id_user = $_SESSION['ss_user'];
$id_autoriza=32;

$codigo_usuario=$_POST["us"];

include("../conex.php");
include("../autoriza.php");

if ($grabar==0)  
{
?>
		<script>
		alert ("No Autorizado");
		parent.location.href = 'index.php';
		</script>
	<? 
	exit();
}		
$post_id=$_POST["txtid"];
$post_rut_empresa=$_POST["txtrut_empresa"];
$post_nombre=$_POST["txtnombre"];
$post_region=$_POST["lstreg"];
$post_comuna=$_POST["lstcom"];
$post_ciudad=$_POST["txtciudad"];
$post_direccion=$_POST["txtdireccion"];
$post_actividad=$_POST["txtactividad"];
$post_rut_representante=$_POST["txtrut"];
$post_nombre_representante=$_POST["txtnombre_representante"];
$flag=0;
if ($post_id!=0)
	{
	$esql = "UPDATE empresa SET rut_empresa = '$post_rut_empresa', nombre = '$post_nombre', direccion = '$post_direccion', ciudad = '$post_ciudad', comuna = $post_comuna,  actividad = '$post_actividad', rut_representante = '$post_rut_representante', nombre_representante = '$post_nombre_representante', acteco='$acteco', fono='$fono', Gratificacion_Empresa='$gratificacion', traspaso='$traspaso', acteco='$acteco', sitio_empresa='$sitio_empresa', ip_empresa='$ip_empresa', correo_dte='$correo_dte', numero_resolucion=$numero_resolucion,  fecha_resolucion='$fecha_resolucion', certificacion='$certificacion', fecha_certificacion='$fecha_certificacion' WHERE id = $post_id";
		$consulta = mysql_query($esql,$enlace);
	//echo $esql;
	}
else
	{
	$sql_bus = "SELECT nombre FROM empresa WHERE rut_empresa='$post_rut_empresa'";
	$con_bus = mysql_query($sql_bus, $enlace);
	if (!mysql_fetch_row($con_bus))
		{
	$esql = "INSERT INTO empresa (rut_empresa, nombre, direccion, ciudad, comuna, actividad, rut_representante, nombre_representante, acteco, gratificacion, fono, Gratificacion_Empresa, traspaso, acteco, sitio_empresa, ip_empresa, correo_dte', numero_resolucion,  fecha_resolucion, certificacion, fecha_certificacion)
	VALUES ('$post_rut_empresa', '$post_nombre', '$post_direccion', '$post_ciudad', $post_comuna, '$post_actividad', '$post_rut_representante', '$post_nombre_representante', '$acteco', '$fono', '$gratificacion', '$traspaso', '$acteco', '$sitio_empresa', '$ip_empresa', '$correo_dte, $numero_resolucion,'$fecha_resolucion', '$certificacion', '$fecha_certificacion')";
		$consulta = mysql_query($esql,$enlace);
		}
	else
		{
		$flag=1;
		}
	//echo $esql;
	}
?>
<script language="javascript" type="text/javascript">
<? if($flag==0){?>
alert ("<?=$post_razon_social.'\nActualizado Con Exito!';?>");
<? }else{?>
alert ("La empresa ingresada ya existe!");
<? }?>
parent.location.href = 'index.php';
</script>